WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

Advanced Permission System

— Add- On para WorldWideScripts.net

@es1wwsSuscríbete a nuestro RSS para estar al día!

¡Nuevo! Síguenos como quieras!


Advanced Permission System - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Siga Envato Ver vídeo de vista previa

Actualizado a la versión 1.2

El Sistema de Permiso avanzada (APS) le permite asegurar su sitio web o partes de ella.

Usted puede proteger su sitio web con la adición de sólo dos líneas de código en la página que desea proteger.
Usted puede asegurar cualquier página y controlar el acceso desde el panel de administración intuitiva y fácil de usar.
Puede registrar un número ilimitado de cuentas de usuario y crear grupos ilimitadas con diferentes permisos.

El sistema se basa en grupos de permisos. Puede registrar usuarios y agregarlos a los grupos. Si un usuario quiere acceder a una página protegida se le pedirá para iniciar sesión. Si su cuenta está activa y está en al menos en un grupo con permiso para acceder a la página actual que va a ver el contenido protegido, de lo contrario, verá un mensaje de error.

He aquí un pequeño esquema / ejemplo de lo que el sistema:

TEVIOR PROTECCIÓN LLOR GRUPOS PERMISOS WEB

Características

  • Páginas ilimitadas para proteger
  • Número ilimitado de usuarios para registrarse
  • Grupos ilimitadas para añadir
  • Hay tres tipos de cuentas de usuario (super administrador, administradores y usuarios regulares)
  • Estados de cuentas activadas, no activadas y prohibidos
  • URL de retorno por defecto después de Entrar
  • Volver Custom URL para cada página
  • Mensaje de error personalizado
  • Usuario auto-registro (opcional, si está activada en configuraciones)
  • Contraseña perdida
  • Panel intuitivo y administración fácil de usar
  • Orientada a objetos panel de administración
  • Instalador Web

Requerimientos

El sistema requiere PHP 5. * y MySQL 5. * ejecuten.

Historial de cambios

  • 1.2.1
    • Fix: Error tipográfico en el instalador crea constante mal en el archivo config.php con nombre DEFAULT_DEFAULT_RETURN_URL lugar de DEFAULT_RETURN_URL
  • 1.2
    • Actualización: Windows Compatibilidad servidores
    • Fix: Se ha corregido un problema de compatibilidad entre las diferentes configuraciones de servidor para la función php echo
    • Añadido: funcionalidad contraseña perdida
    • Añadido: Usuarios auto registro
    • Añadido: Multi protección de inicio de sesión (evitar que varios usuarios puedan acceder de una cuenta a la vez)
    • Añadido: base de datos de actualización a la versión 1.2. Para actualizar la base de datos que tiene que cargar carpeta de actualización y abrirlo en su navegador (Ejemplo: Vaya a www.domain.com/aps/update
    • Añadido: config-ejemplo.php - fichero de configuración ejemplo bien documentado
  • 1.1
    • Añadido: formulario de acceso en línea (para proteger parte de su página web)
    • Actualización: En primer lugar el usuario administrador (de instalador) es super administrador
    • Actualización: Admin no puede cambiar cualquier otra condición de administrador
    • Actualización: Admin no puede añadir el usuario admin
    • Actualización: Admin no puede eliminar el usuario admin
    • Actualización: Sólo súper administrador puede agregar y eliminar usuarios administradores
    • Actualización: Sólo súper administrador puede cambiar el estado de administrador
    • Actualización: el estado de cuenta de administrador y super administrador no importa para inicio de sesión
    • Actualización: Mejora de la lógica del código
  • 1.0 - Versión inicial

Descargar
Otros componentes de esta categoríaTodos los componentes de este autor
ComentariosPreguntas frecuentes y respuestas

Propiedades

Creado:
24 de marzo 12, Última actualización

Alta Resolución:
no

Navegadores compatibles:
IE6, IE7, IE8, IE9, IE10, EI11, Firefox, Safari, Opera, Chrome, Archivos Incluidos

Palabras clave

comercio electró, nico, comercio electró, nico, todos los artí, culos, acceso, cuentas, avanzado, control, grupos, bloqueo, pá, ginas, permisos, seguridad, sistema, los usuarios